/*
 Navicat Premium Data Transfer

 Source Server         : local
 Source Server Type    : MySQL
 Source Server Version : 80029
 Source Host           : localhost:3306
 Source Schema         : test

 Target Server Type    : MySQL
 Target Server Version : 80029
 File Encoding         : 65001

 Date: 17/11/2023 14:16:16
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_calculation_formula
-- ----------------------------
DROP TABLE IF EXISTS `t_calculation_formula`;
CREATE TABLE `t_calculation_formula`  (
  `ID` int(0) NOT NULL AUTO_INCREMENT,
  `TYPE` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公式类型',
  `ORDER_NO` int(0) NULL DEFAULT NULL COMMENT '公式执行顺序',
  `FORMULA` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公式内容',
  `PROVINCE` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '省调',
  `ELECTRIC_TYPE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '场站类型（风、光）',
  `STATION_CODE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '场站编码',
  `RULE_FORMULA` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '细则对应的公式',
  `IS_RATE` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否为百分比： 0 非百分比    1 百分比',
  `MAX_MIN_LIMIT` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否限定结果最小最大值为[0,1]   0:不限制 1:限制',
  `STATE` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '状态： 0 失效    1 有效',
  `DATA_SOURCE_TYPE` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成文件的类型\r\nE278：浙江上午短期(新)\r\nE279：浙江下午短期(新)\r\nE280：浙江超短期(新)\r\n',
  `HOW_MANY_DAYS` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '获取提前几天生成的数据',
  `CREATE_TIME` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `CREATOR` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `LAST_MODIFIER` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改时间',
  `LAST_MODIFY_TIME` datetime NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`ID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 707 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_calculation_formula
-- ----------------------------
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(1, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E12', 'E1;E2', 'ALL', '', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(2, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E12', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(3, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E13', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(4, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E13', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(5, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E14Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(6, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E14Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(7, 'DAY_SHORT_PASS', 1, 'pass(list,80,ableValue,forecastAbleValue,openCapacity)', 'E14Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(8, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,80,ableValue,forecastAbleValue,openCapacity)', 'E14Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(9, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,realValue,forecastAbleValue,openCapacity)', 'E15', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(10, 'DAY_SHORT_PASS', 1, 'pass(list,75,realValue,forecastAbleValue,openCapacity)', 'E15', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(11, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E17', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(12, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E17', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(13, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,realValue,forecastAbleValue,openCapacity)', 'E21', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(14, 'DAY_SHORT_PASS', 1, 'pass(list,85,realValue,forecastAbleValue,openCapacity)', 'E21', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(15, 'DAY_SHORT_PASS', 1, 'pass(list,75,realValue,forecastAbleValue,openCapacity)', 'E21', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(16, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,realValue,forecastAbleValue,openCapacity)', 'E22', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(17, 'DAY_SHORT_PASS', 1, 'pass(list,85,realValue,forecastAbleValue,openCapacity)', 'E22', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(18, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,realValue,forecastAbleValue,openCapacity)', 'E22', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(19, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,85,realValue,forecastAbleValue,openCapacity)', 'E22', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(20, 'DAY_SHORT_PASS', 1, 'pass(list,75,realValue,forecastAbleValue,openCapacity)', 'E22', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(21, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,75,realValue,forecastAbleValue,openCapacity)', 'E22', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(22, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,realValue,forecastAbleValue,openCapacity)', 'E23', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(23, 'DAY_SHORT_PASS', 1, 'pass(list,85,realValue,forecastAbleValue,openCapacity)', 'E23', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(24, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,realValue,forecastAbleValue,openCapacity)', 'E23', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(25, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,85,realValue,forecastAbleValue,openCapacity)', 'E23', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(26, 'DAY_SHORT_PASS', 1, 'pass(list,75,realValue,forecastAbleValue,openCapacity)', 'E23', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(27, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,75,realValue,forecastAbleValue,openCapacity)', 'E23', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(28, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E32', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(29, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E32', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(30, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E33Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(31, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E33Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(32, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E34', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(33, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E34', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(34, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(35, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(36, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(37, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(38, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E37', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(39, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E37', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(40, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E41', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(41, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E41', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(42, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E42', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(43, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E42', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(46, 'DAY_SHORT_PASS', 1, 'return \'100.00%\';', 'E42', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(47, 'DAY_ULTRA_SHORT_PASS', 1, 'return \'100.00%\';', 'E42', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(52, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E44Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(53, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E44Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(54, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E45Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(55, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E45Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(56, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(57, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(58, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(59, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(60, 'DAY_SHORT_ACCURACY', 1, 'let result = rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity);\r\n\r\nif(sign==\'SMDAFD\' || sign==\'ZZAFD\' ){\r\n    result = result*100;\r\n    if(result<80){\r\n        let random = rand() * (4 - 3) +3;\r\n        result = result+random;\r\n        return result/100;\r\n    }\r\n    return result/100;\r\n}\r\nreturn result;', 'E52Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(61, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'let result = rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity);\r\nif(sign==\'SMDAFD\' || sign==\'ZZAFD\' ){\r\n    result = result*100;\r\n    if(result<85){\r\n        let random = rand() * (4 - 3) +3;\r\n        result = result+random;\r\n        return result/100;\r\n    }\r\n    return result/100;\r\n}\r\nreturn result;', 'E52Old', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(62, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(63, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(64, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(65, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(66, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(67, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(68, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(69, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(70, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(71, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(72, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(73, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(74, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(75, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(76, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(77, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(78, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(79, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(80, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(81, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(82, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(83, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(84, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(85, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(86, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(87, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(88, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(89, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(90, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(91, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(92, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(93, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(94, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,realValue,forecastAbleValue,electricCapacity)', 'E99', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(95, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,realValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E99', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(96, 'VERSION', 1, '0.0.32', '', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(97, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(ableValue<0){\r\n        m.code="666";\r\n        m.msg="忽略实际功率小于0的数据";\r\n        return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E12', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(98, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(ableValue<0){\r\n        m.code="666";\r\n        m.msg="忽略实际功率小于0的数据";\r\n        return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E12', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(99, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(ableValue<0){\r\n        m.code="666";\r\n        m.msg="忽略实际功率小于0的数据";\r\n        return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E13', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(100, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(ableValue<0){\r\n        m.code="666";\r\n        m.msg="忽略实际功率小于0的数据";\r\n        return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E13', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(101, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14Old', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(102, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14Old', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(103, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14Old', 'E1;E2', 'ALL', 'DAY_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(104, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14Old', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(105, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E15', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(106, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E15', 'E1;E2', 'ALL', 'DAY_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(107, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E17', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(108, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数  忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E17', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(109, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E21', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(110, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E21', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(111, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E22', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(112, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E22', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(113, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E23', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(114, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E23', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(115, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = "666";\r\n            m.msg = "实际功率为负数，忽略不计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = "666";\r\n            m.msg = "实际或预测为空忽略不统计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = "666";\r\n            m.msg = "实际功率小于10，忽略不统计";\r\n            return m;\r\n        } else {\r\n            m.code = "200";\r\n            m.msg = "校验通过";\r\n            return m;\r\n        }', 'E32', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(116, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = "666";\r\n            m.msg = "实际功率为负数，忽略不计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = "666";\r\n            m.msg = "实际或预测为空忽略不统计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = "666";\r\n            m.msg = "实际功率小于10，忽略不统计";\r\n            return m;\r\n        } else {\r\n            m.code = "200";\r\n            m.msg = "校验通过";\r\n            return m;\r\n        }', 'E32', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(117, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code="666";\r\n      m.msg="实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = "666";\r\n      m.msg = "忽略不统计";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = "666";\r\n        m.msg = "忽略不统计";\r\n        return m;\r\n      }else{\r\n        m.code = "200";\r\n        m.msg = "校验通过";\r\n        return m;\r\n      }\r\n    }', 'E32', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(118, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code="666";\r\n      m.msg="实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = "666";\r\n      m.msg = "忽略不统计";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = "666";\r\n        m.msg = "忽略不统计";\r\n        return m;\r\n      }else{\r\n        m.code = "200";\r\n        m.msg = "校验通过";\r\n        return m;\r\n      }\r\n    }', 'E32', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(119, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = "666";\r\n            m.msg = "实际功率为负数，忽略不计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = "666";\r\n            m.msg = "实际或预测为空忽略不统计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = "666";\r\n            m.msg = "实际功率小于10，忽略不统计";\r\n            return m;\r\n        } else {\r\n            m.code = "200";\r\n            m.msg = "校验通过";\r\n            return m;\r\n        }', 'E33Old', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(120, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = "666";\r\n            m.msg = "实际功率为负数，忽略不计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = "666";\r\n            m.msg = "实际或预测为空忽略不统计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = "666";\r\n            m.msg = "实际功率小于10，忽略不统计";\r\n            return m;\r\n        } else {\r\n            m.code = "200";\r\n            m.msg = "校验通过";\r\n            return m;\r\n        }', 'E33Old', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(121, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code="666";\r\n      m.msg="实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = "666";\r\n      m.msg = "忽略不统计";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = "666";\r\n        m.msg = "忽略不统计";\r\n        return m;\r\n      }else{\r\n        m.code = "200";\r\n        m.msg = "校验通过";\r\n        return m;\r\n      }\r\n    }', 'E33Old', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(122, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code="666";\r\n      m.msg="实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    \r\n    ## 获取时间戳中的小时\r\n    let d = new java.util.Date(time);\r\n    let hours = getHours(d);\r\n\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = "666";\r\n      m.msg = "忽略不统计（实际功率或预测功率为空）";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(hours>=11 && hours<=14){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = "666";\r\n        m.msg = "忽略不统计（不在11点-14点之间，实际功率小于10则忽略不计）";\r\n        return m;\r\n      }else{\r\n        m.code = "200";\r\n        m.msg = "校验通过";\r\n        return m;\r\n      }\r\n    }', 'E33Old', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(123, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = "666";\r\n            m.msg = "实际功率为负数，忽略不计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = "666";\r\n            m.msg = "实际或预测为空忽略不统计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = "666";\r\n            m.msg = "实际功率小于10，忽略不统计";\r\n            return m;\r\n        } else {\r\n            m.code = "200";\r\n            m.msg = "校验通过";\r\n            return m;\r\n        }', 'E34', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(124, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与  核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = "666";\r\n            m.msg = "实际功率为负数，忽略不计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = "666";\r\n            m.msg = "实际或预测为空忽略不统计";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = "666";\r\n            m.msg = "实际功率小于10，忽略不统计";\r\n            return m;\r\n        } else {\r\n            m.code = "200";\r\n            m.msg = "校验通过";\r\n            return m;\r\n        }', 'E34', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(125, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测  \r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code="666";\r\n      m.msg="实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = "666";\r\n      m.msg = "忽略不统计";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则   值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = "666";\r\n        m.msg = "忽略不统计";\r\n        return m;\r\n      }else{\r\n        m.code = "200";\r\n        m.msg = "校验通过";\r\n        return m;\r\n      }\r\n    }', 'E34', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(126, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ##   短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code="666";\r\n      m.msg="实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = "666";\r\n      m.msg = "忽略不统计";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = "666";\r\n        m.msg = "忽略不统计";\r\n        return m;\r\n      }else{\r\n        m.code = "200";\r\n        m.msg = "校验通过";\r\n        return m;\r\n      }\r\n    }', 'E34', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(127, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36old', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(128, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36old', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(129, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(130, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(131, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(132, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(133, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数忽忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E41', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(134, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E41', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(135, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(136, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(137, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(138, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(141, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44Old', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(142, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44Old', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(143, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45Old', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(144, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45Old', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(145, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E51', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(146, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E51', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(147, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52Old', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(148, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52Old', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(149, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(forecastAbleValue==0){\r\n        if(ableValue<=electricCapacity*0.03){\r\n            m.msg="预测功率为0，实际功率<=容量的3%";\r\n            m.data = "不予考核";\r\n            return m;\r\n        }else{\r\n            m.msg="预测功率为0，实际功率>容量的3%";\r\n            m.data = "0.00%";\r\n            return m;\r\n        }\r\n    }else{\r\n        if(ableValue==0){\r\n                if(forecastAbleValue<=electricCapacity*0.03){\r\n                    m.msg="实际功率为0，预测功率<=容量的3%";\r\n                    m.data = "不予考核";\r\n                    return m;\r\n                }else{\r\n                    m.msg="实际功率为0，预测功率>容量的3%";\r\n                    m.data = "0.00%";\r\n                    return m;\r\n                }\r\n            }\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E61', 'E1;E2', 'ALL', 'POINT_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(150, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "   验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E61', 'E1;E2', 'ALL', 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(151, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E61', 'E1;E2', 'ALL', 'POINT_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(152, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E61', 'E1;E2', 'ALL', 'POINT_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(153, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(forecastAbleValue==0){\r\n        if(ableValue<=electricCapacity*0.03){\r\n            m.msg="预测功率为0，实际功率<=容量的3%";\r\n            m.data = "不予考核";\r\n            return m;\r\n        }else{\r\n            m.msg="预测功率为0，实际功率>容量的3%";\r\n            m.data = "0.00%";\r\n            return m;\r\n        }\r\n    }else{\r\n        if(ableValue==0){\r\n                if(forecastAbleValue<=electricCapacity*0.03){\r\n                    m.msg="实际功率为0，预测功率<=容量的3%";\r\n                    m.data = "不予考核";\r\n                    return m;\r\n                }else{\r\n                    m.msg="实际功率为0，预测功率>容量的3%";\r\n                    m.data = "0.00%";\r\n                    return m;\r\n                }\r\n            }\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E62', 'E1;E2', 'ALL', 'POINT_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(154, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E62', 'E1;E2', 'ALL', 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(155, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E62', 'E1;E2', 'ALL', 'POINT_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(156, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E62', 'E1;E2', 'ALL', 'POINT_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(157, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(forecastAbleValue==0){\r\n        if(ableValue<=electricCapacity*0.03){\r\n            m.msg="预测功率为0，实际功率<=容量的3%";\r\n            m.data = "不予考核";\r\n            return m;\r\n        }else{\r\n            m.msg="预测功率为0，实际功率>容量的3%";\r\n            m.data = "0.00%";\r\n            return m;\r\n        }\r\n    }else{\r\n        if(ableValue==0){\r\n                if(forecastAbleValue<=electricCapacity*0.03){\r\n                    m.msg="实际功率为0，预测功率<=容量的3%";\r\n                    m.data = "不予考核";\r\n                    return m;\r\n                }else{\r\n                    m.msg="实际功率为0，预测功率>容量的3%";\r\n                    m.data = "0.00%";\r\n                    return m;\r\n                }\r\n            }\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E63', 'E2', 'ALL', 'POINT_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(158, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E63', 'E2', 'ALL', 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(159, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E63', 'E2', 'ALL', 'POINT_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(160, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E63', 'E2', 'ALL', 'POINT_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(161, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(forecastAbleValue==0){\r\n        if(ableValue<=electricCapacity*0.03){\r\n            m.msg="预测功率为0，实际功率<=容量的3%";\r\n            m.data = "不予考核";\r\n            return m;\r\n        }else{\r\n            m.msg="预测功率为0，实际功率>容量的3%";\r\n            m.data = "0.00%";\r\n            return m;\r\n        }\r\n    }else{\r\n        if(ableValue==0){\r\n                if(forecastAbleValue<=electricCapacity*0.03){\r\n                    m.msg="实际功率为0，预测功率<=容量的3%";\r\n                    m.data = "不予考核";\r\n                    return m;\r\n                }else{\r\n                    m.msg="实际功率为0，预测功率>容量的3%";\r\n                    m.data = "0.00%";\r\n                    return m;\r\n                }\r\n            }\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E64', 'E2', 'ALL', 'POINT_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(162, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E64', 'E2', 'ALL', 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(163, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E64', 'E2', 'ALL', 'POINT_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(164, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E64', 'E2', 'ALL', 'POINT_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(165, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E99', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(166, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E99', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(167, 'DEVIANCE_ELECTRIC', 1, 'let m = seq.map("pointDeviation", "0", "pointElectric", "0");\r\nlet pointDeviation = 0;\r\nlet pointElectric = 0;\r\n\r\nfor x in list{\r\n\r\n    if (x.realValue == nil || x.forecastAbleValue == nil) {\r\n        m.pointDeviation = \'-\';\r\n        m.pointElectric = \'-\';\r\n        return m;\r\n    }\r\n\r\n    if (x.realValue < 0) {\r\n        m.pointDeviation = \'-\';\r\n        m.pointElectric = \'-\';\r\n        return m;\r\n    }\r\n\r\n    ##如果实际功率为0\r\n    if (x.realValue == 0) {\r\n        if (math.abs(x.forecastAbleValue - x.realValue) >= 2) {\r\n            pointElectric = (math.abs(x.forecastAbleValue - x.realValue) - 2) * 0.01;\r\n            pointElectric = math.round(pointElectric * 10000)/10000.0;\r\n            ## 偏差量如何计算有待考证\r\n            m.pointDeviation = 0;\r\n            m.pointElectric = pointElectric;\r\n            return m;\r\n        } else {\r\n        m.pointDeviation = \'-1\';\r\n        m.pointElectric = \'-1\';\r\n        return m;\r\n        }\r\n    }\r\n\r\n    ##单点偏差 = |实际 - 预测 |/实际\r\n    pointDeviation = math.abs(x.forecastAbleValue - x.realValue) / x.realValue;\r\n    pointDeviation = math.round(pointDeviation * 10000)/10000.0;\r\n    ##如果偏差量在20 % 以内，免考核\r\n    if (pointDeviation < 0.2) {\r\n        m.pointDeviation = \'-1\';\r\n        m.pointElectric = \'-1\';\r\n        return m;\r\n    }\r\n\r\n    ##如果偏差量>100 %\r\n    if(pointDeviation>1){\r\n        pointElectric = (math.abs(x.realValue-x.forecastAbleValue) - 2) * 0.01;\r\n        pointElectric = math.round(pointElectric * 10000)/10000.0;\r\n        m.pointDeviation = pointDeviation;\r\n        m.pointElectric = pointElectric;\r\n        return m;\r\n    }\r\n\r\n    ##单点考核电量 = (偏差电量 - 20 %) * 实际功率 * 1 %\r\n    pointElectric = (pointDeviation - 0.2) * x.realValue * 0.01;\r\n    pointElectric = math.round(pointElectric * 10000)/10000.0;\r\n    m.pointDeviation = pointDeviation;\r\n    m.pointElectric = pointElectric;\r\n    return m;\r\n\r\n  }', 'E37', 'E1;E2', 'ALL', '', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(168, 'POINT_ULTRA_SHORT_AVERAGE_FORECAST', 1, '        let sum = 0;\r\n        for x in list {\r\n            sum = sum + x.forecastAbleValue;\r\n        }\r\n        return sum/16;', 'E999', 'E1;E2', 'ALL', '', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(169, 'POINT_ULTRA_SHORT_FORECAST_ERRORS', 1, '        let result = 0;\r\n        for x in list {\r\n            result = (x.forecastAbleValue- x.ableValue)/x.forecastAbleValue;\r\n            break;\r\n        }\r\n        return math.abs(result);', 'E999', 'E1;E2', 'ALL', '', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(170, 'POINT_SHORT_ACCURACY', 1, 'let result = 0;\r\n        for x in list {\r\n            result = 1-(math.abs(x.realValue-x.forecastAbleValue )/electricCapacity);\r\n            break;\r\n        }\r\n        return result ;', 'E32', 'E1;E2', 'ALL', '', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(214, 'POINT_ULTRA_SHORT_ACCURACY', 1, '        let result = 0;\r\n	let count = count(list);\r\n	let max = list[count-1];\r\n	result = 1-(math.abs(max.realValue-max.forecastAbleValue )/electricCapacity);\r\n        return result ;', 'E32', 'E1;E2', 'ALL', '', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(215, 'ASSESSMENT_SHORT_REPORT_RATE', 1, '(1-shortReportRate)*0.0005*powerGeneration*1', 'E34', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(216, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, '(1-ultraShortReportRate)*0.000005*powerGeneration*1', 'E34', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(217, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*ratedCapacity*0.1*0.2;\r\n\r\n\r\n', 'E34', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(218, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortAccuracyRate)*ratedCapacity*0.1*0.1;\r\n', 'E34', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(219, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (powerGeneration == nil) {\r\n      m.code = "500";\r\n      m.msg = "发电量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E34', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(220, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (powerGeneration == nil) {\r\n      m.code = "500";\r\n      m.msg = "发电量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E34', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(221, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E34', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(222, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E34', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(223, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate==1){\r\n  return 0;\r\n}\r\n\r\nratedCapacity*0.25*powerGeneration*1', 'E42', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(224, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate==1){\r\n  return 0;\r\n}\r\n\r\nratedCapacity*0.25*powerGeneration*1', 'E42', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(225, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*1;\r\n\r\n\r\n', 'E42', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(226, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.90){\r\n  return 0;\r\n}\r\nreturn (0.90-ultraShortReportRate)*ratedCapacity*1;\r\n\r\n\r\n', 'E42', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(227, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.83){\r\n  return 0;\r\n}\r\nreturn (0.83-shortAccuracyRate)*ratedCapacity*1;\r\n\r\n\r\n', 'E42', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(228, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortReportRate)*ratedCapacity*1;', 'E42', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(229, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(230, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(231, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(232, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(233, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.99){\r\n  return 0;\r\n}\r\nreturn (0.99-singleMachinePassRate)*ratedCapacity*0.001;', 'E42', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(234, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-shortReportRate)*ratedCapacity*0.1*6;', 'E64', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(235, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(ultraShortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-ultraShortReportRate)*ratedCapacity*0.1*6;', 'E64', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(236, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*0.1*0.2;\r\n', 'E64', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(237, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.1*0.2;\r\n', 'E64', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(238, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.1*0.2;\r\n', 'E64', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(239, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-ultraShortAccuracyRate)*ratedCapacity*0.1*0.015;', 'E64', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(240, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.98){\r\n  return 0;\r\n}\r\nreturn (0.98-ablePowerAccuracyRate)*ratedCapacity*0.1*0.05;', 'E64', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(241, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (singleMachinePassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "单机合格率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E1;E2', 'ALL', 'SINGLE_MACHINE_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(242, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(243, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(244, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (deviationPower == nil) {\r\n      m.code = "500";\r\n      m.msg = "偏差电量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(245, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(246, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ablePowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(247, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.002;', 'E41', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(248, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.001;', 'E41', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(249, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1;\r\n', 'E41', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(250, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1;', 'E41', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(251, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.83){\r\n  return 0;\r\n}\r\nreturn (0.83-shortAccuracyRate)*ratedCapacity*0.1;\r\n', 'E41', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(252, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.87){\r\n  return 0;\r\n}\r\nreturn (0.87-ultraShortReportRate)*ratedCapacity*0.1;', 'E41', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(254, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E41', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(255, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E41', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(256, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E41', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(257, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E41', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(258, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.002;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(259, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.001;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(260, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(deviationPower<=0.2){\r\n  return 0;\r\n}\r\nreturn (deviationPower-0.2)*realValue*0.01*394.5*15/60;\r\n', 'E37', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(261, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(deviationPower<=0.15){\r\n  return 0;\r\n}\r\nreturn (deviationPower-0.15)*realValue*0.01*394.5*15/60;\r\n', 'E37', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(262, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(deviationPower<=0.2){\r\n  return 0;\r\n}\r\nreturn (deviationPower-0.2)*realValue*0.01*394.5*15/60;\r\n', 'E37', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(263, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(deviationPower<=0.15){\r\n  return 0;\r\n}\r\nreturn (deviationPower-0.15)*realValue*0.01*394.5*15/60;\r\n', 'E37', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(264, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(265, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(266, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(267, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(268, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.985){\r\n  return 0;\r\n}\r\nreturn (0.985-singleMachinePassRate)*ratedCapacity*0.001*0.1;', 'E37', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(269, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.985){\r\n  return 0;\r\n}\r\nreturn (0.985-ablePowerAccuracyRate)*ratedCapacity*0.001*0.1;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(270, 'THEORY_POWER_ACCURACY_RATE', 1, 'if(theoryPowerAccuracyRate>=0.985){\r\n  return 0;\r\n}\r\nreturn (0.985-theoryPowerAccuracyRate)*ratedCapacity*0.001*0.1;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(271, 'ANEMOMETER_TOWER_ACCURACY_RATE', 1, 'if(anemometerTower>=0.985){\r\n  return 0;\r\n}\r\nreturn (0.985-anemometerTowerAccuracyRate)*ratedCapacity*0.001*0.1;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(272, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (singleMachinePassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "单机合格率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'SINGLE_MACHINE_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(273, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ablePowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(274, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (theoryPowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "理论功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'THEORY_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(275, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (anemometerTowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "测风塔可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E37', 'E1;E2', 'ALL', 'ANEMOMETER_TOWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(276, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.001;', 'E13', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(277, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*0.4;\r\n', 'E13', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(278, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*0.4;\r\n', 'E13', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(279, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E13', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(280, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E13', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(281, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.001;', 'E17', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(282, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(ultraShortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-ultraShortReportRate)*ratedCapacity*0.001;', 'E17', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(283, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1;\r\n', 'E17', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(284, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortAccuracyRate)*ratedCapacity*0.1;', 'E17', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(285, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E17', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(286, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E17', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(287, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E17', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(288, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E17', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(289, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E45old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(290, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E45old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(291, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E45old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(292, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E45old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(293, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(294, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(295, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(296, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(297, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E45new', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(298, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E45new', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(299, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.6){\r\n  return 0;\r\n}\r\nreturn (0.6-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E45new', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(300, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E45new', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(301, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45new', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(302, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45new', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(303, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45new', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(304, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45new', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(305, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E44old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(306, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E44old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(307, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E44old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(308, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E44old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(309, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(310, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(311, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(312, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(313, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E44new', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(314, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E44new', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(315, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.6){\r\n  return 0;\r\n}\r\nreturn (0.6-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E44new', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(316, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E44new', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(317, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44new', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(318, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44new', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(319, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44new', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(320, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44new', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(329, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E45old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(330, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E45old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(331, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E45old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(332, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E45old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(333, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E45old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(334, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E45old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(335, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(336, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(337, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(338, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(339, 'ASSESSMENT_MID_REPORT_RATE', 1, 'if(midReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-midReportRate)*ratedCapacity*0.1*0.5;', 'E45', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(340, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E45', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(341, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E45', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(342, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.45){\r\n  return 0;\r\n}\r\nreturn (0.45-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E45', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(343, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E45', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(344, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.7){\r\n  return 0;\r\n}\r\nreturn (0.7-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E45', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(345, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.4){\r\n  return 0;\r\n}\r\nreturn (0.4-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E45', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(346, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.6){\r\n  return 0;\r\n}\r\nreturn (0.6-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E45', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(347, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E45', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(348, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-singleMachinePassRate)*ratedCapacity*0.01*0.005;', 'E45', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(349, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-ablePowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E45', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(350, 'THEORY_POWER_ACCURACY_RATE', 1, 'if(theoryPowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-theoryPowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E45', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(351, 'ANEMOMETER_TOWER_ACCURACY_RATE', 1, 'if(anemometerTower>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-anemometerTowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E45', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(352, 'INSTALLED_CAPACITY_ACCURACY_RATE', 1, 'if(installedCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-installedCapacityAccuracyRate)*ratedCapacity*0.1*0.005;', 'E45', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(353, 'AVAILABLE_CAPACITY_ACCURACY_RATE', 1, 'if(availableCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-availableCapacityAccuracyRate)*ratedCapacity*0.1*0.001;', 'E45', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(354, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'ASSESSMENT_MID_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(355, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(356, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(357, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'ASSESSMENT_MID_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(358, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(359, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(360, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (singleMachinePassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "单机合格率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'SINGLE_MACHINE_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(361, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ablePowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(362, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (theoryPowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "理论功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'THEORY_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(363, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (anemometerTowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "测风塔可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'ANEMOMETER_TOWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(364, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (installedCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "装机容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'INSTALLED_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(365, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (availableCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'AVAILABLE_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(366, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E44old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(367, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E44old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(368, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E44old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(369, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E44old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(370, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E44old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(371, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E44old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(372, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(373, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(374, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(375, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(376, 'ASSESSMENT_MID_REPORT_RATE', 1, 'if(midReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-midReportRate)*ratedCapacity*0.1*0.5;', 'E44', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(377, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E44', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(378, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E44', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(379, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.45){\r\n  return 0;\r\n}\r\nreturn (0.45-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E44', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(380, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E44', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(381, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.7){\r\n  return 0;\r\n}\r\nreturn (0.7-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E44', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(382, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.4){\r\n  return 0;\r\n}\r\nreturn (0.4-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E44', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(383, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.6){\r\n  return 0;\r\n}\r\nreturn (0.6-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E44', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(384, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E44', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(385, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-singleMachinePassRate)*ratedCapacity*0.01*0.005;', 'E44', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(386, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-ablePowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E44', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(387, 'THEORY_POWER_ACCURACY_RATE', 1, 'if(theoryPowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-theoryPowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E44', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(388, 'ANEMOMETER_TOWER_ACCURACY_RATE', 1, 'if(anemometerTower>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-anemometerTowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E44', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(389, 'INSTALLED_CAPACITY_ACCURACY_RATE', 1, 'if(installedCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-installedCapacityAccuracyRate)*ratedCapacity*0.1*0.005;', 'E44', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(390, 'AVAILABLE_CAPACITY_ACCURACY_RATE', 1, 'if(availableCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-availableCapacityAccuracyRate)*ratedCapacity*0.1*0.001;', 'E44', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(391, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'ASSESSMENT_MID_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(392, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(393, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(394, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'ASSESSMENT_MID_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(395, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(396, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(397, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (singleMachinePassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "单机合格率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'SINGLE_MACHINE_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(398, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ablePowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(399, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (theoryPowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "理论功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'THEORY_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(400, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (anemometerTowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "测风塔可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'ANEMOMETER_TOWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(401, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (installedCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "装机容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'INSTALLED_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(402, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (availableCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'AVAILABLE_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(403, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E52old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(404, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E52old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(405, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E52old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(406, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E52old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(407, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E52old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(408, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E52old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(409, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(410, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(411, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(412, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(413, 'ASSESSMENT_MID_REPORT_RATE', 1, 'if(midReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-midReportRate)*ratedCapacity*0.1*0.5;', 'E52', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(414, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E52', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(415, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E52', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(416, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.45){\r\n  return 0;\r\n}\r\nreturn (0.45-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E52', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(417, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E52', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(418, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.7){\r\n  return 0;\r\n}\r\nreturn (0.7-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E52', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(419, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.4){\r\n  return 0;\r\n}\r\nreturn (0.4-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E52', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(420, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.6){\r\n  return 0;\r\n}\r\nreturn (0.6-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E52', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(421, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E52', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(422, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-singleMachinePassRate)*ratedCapacity*0.01*0.005;', 'E52', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(423, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-ablePowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E52', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(424, 'THEORY_POWER_ACCURACY_RATE', 1, 'if(theoryPowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-theoryPowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E52', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(425, 'ANEMOMETER_TOWER_ACCURACY_RATE', 1, 'if(anemometerTower>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-anemometerTowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E52', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(426, 'INSTALLED_CAPACITY_ACCURACY_RATE', 1, 'if(installedCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-installedCapacityAccuracyRate)*ratedCapacity*0.1*0.005;', 'E52', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(427, 'AVAILABLE_CAPACITY_ACCURACY_RATE', 1, 'if(availableCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-availableCapacityAccuracyRate)*ratedCapacity*0.1*0.001;', 'E52', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(428, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'ASSESSMENT_MID_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(429, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(430, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(431, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'ASSESSMENT_MID_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(432, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(433, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(434, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (singleMachinePassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "单机合格率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'SINGLE_MACHINE_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(435, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ablePowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(436, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (theoryPowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "理论功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'THEORY_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(437, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (anemometerTowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "测风塔可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'ANEMOMETER_TOWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(438, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (installedCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "装机容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'INSTALLED_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(439, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (availableCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'AVAILABLE_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(440, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E53old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(441, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E53old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(442, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E53old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(443, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E53old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(444, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E53old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(445, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E53old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(446, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(447, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(448, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(449, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(450, 'ASSESSMENT_MID_REPORT_RATE', 1, 'if(midReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-midReportRate)*ratedCapacity*0.1*0.5;', 'E53', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(451, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E53', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(452, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E53', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(453, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.45){\r\n  return 0;\r\n}\r\nreturn (0.45-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E53', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(454, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E53', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(455, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.7){\r\n  return 0;\r\n}\r\nreturn (0.7-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E53', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(456, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.4){\r\n  return 0;\r\n}\r\nreturn (0.4-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E53', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(457, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.6){\r\n  return 0;\r\n}\r\nreturn (0.6-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E53', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(458, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E53', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(459, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-singleMachinePassRate)*ratedCapacity*0.01*0.005;', 'E53', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(460, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-ablePowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E53', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(461, 'THEORY_POWER_ACCURACY_RATE', 1, 'if(theoryPowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-theoryPowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E53', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(462, 'ANEMOMETER_TOWER_ACCURACY_RATE', 1, 'if(anemometerTower>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-anemometerTowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E53', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(463, 'INSTALLED_CAPACITY_ACCURACY_RATE', 1, 'if(installedCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-installedCapacityAccuracyRate)*ratedCapacity*0.1*0.005;', 'E53', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(464, 'AVAILABLE_CAPACITY_ACCURACY_RATE', 1, 'if(availableCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-availableCapacityAccuracyRate)*ratedCapacity*0.1*0.001;', 'E53', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(465, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'ASSESSMENT_MID_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(466, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(467, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(468, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'ASSESSMENT_MID_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(469, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(470, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(471, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (singleMachinePassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "单机合格率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'SINGLE_MACHINE_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(472, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ablePowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(473, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (theoryPowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "理论功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'THEORY_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(474, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (anemometerTowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "测风塔可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'ANEMOMETER_TOWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(475, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (installedCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "装机容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'INSTALLED_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(476, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (availableCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'AVAILABLE_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(477, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E46old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(478, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E46old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(479, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E46old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(480, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E46old', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(481, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*1;\r\n', 'E46old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(482, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E46old', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(483, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(484, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(485, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(486, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(487, 'ASSESSMENT_MID_REPORT_RATE', 1, 'if(midReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-midReportRate)*ratedCapacity*0.1*0.5;', 'E46', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(488, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E46', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(489, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E46', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(490, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.45){\r\n  return 0;\r\n}\r\nreturn (0.45-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E46', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(491, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E46', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(492, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.7){\r\n  return 0;\r\n}\r\nreturn (0.7-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E46', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(493, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midAccuracyRate>=0.4){\r\n  return 0;\r\n}\r\nreturn (0.4-midAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E46', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(494, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.6){\r\n  return 0;\r\n}\r\nreturn (0.6-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;\r\n', 'E46', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(495, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.65){\r\n  return 0;\r\n}\r\nreturn (0.65-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E46', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(496, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-singleMachinePassRate)*ratedCapacity*0.01*0.005;', 'E46', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(497, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-ablePowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E46', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(498, 'THEORY_POWER_ACCURACY_RATE', 1, 'if(theoryPowerAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-theoryPowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E46', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(499, 'ANEMOMETER_TOWER_ACCURACY_RATE', 1, 'if(anemometerTower>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-anemometerTowerAccuracyRate)*ratedCapacity*0.1*0.005;', 'E46', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(500, 'INSTALLED_CAPACITY_ACCURACY_RATE', 1, 'if(installedCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-installedCapacityAccuracyRate)*ratedCapacity*0.1*0.005;', 'E46', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(501, 'AVAILABLE_CAPACITY_ACCURACY_RATE', 1, 'if(availableCapacityAccuracyRate>=0.95){\r\n  return 0;\r\n}\r\nreturn (0.95-availableCapacityAccuracyRate)*ratedCapacity*0.1*0.001;', 'E46', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(502, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'ASSESSMENT_MID_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(503, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(504, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(505, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'ASSESSMENT_MID_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(506, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(507, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(508, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (singleMachinePassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "单机合格率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'SINGLE_MACHINE_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(509, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ablePowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(510, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (theoryPowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "理论功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'THEORY_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(511, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (anemometerTowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "测风塔可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'ANEMOMETER_TOWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(512, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (installedCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "装机容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'INSTALLED_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(513, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (availableCapacityAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用容量可用率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'AVAILABLE_CAPACITY_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(514, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E44', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(515, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E44', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(516, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E44', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(517, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(518, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(519, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E44', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(520, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E45', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(521, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E45', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(522, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E45', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(523, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(524, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(525, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E45', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(526, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,realValue,forecastAbleValue,electricCapacity,0.2)', 'E46', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(527, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,realValue,forecastAbleValue,electricCapacity,0.2)', 'E46', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(528, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,realValue,forecastAbleValue,electricCapacity,0.2)', 'E46', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(529, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (realValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(530, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (realValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(531, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (realValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E46', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(532, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E52', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(533, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E52', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(534, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E52', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(535, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(536, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(537, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E52', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(538, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E53', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(539, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E53', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(540, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorSouthernPowerGrid(list,ableValue,forecastAbleValue,electricCapacity,0.2)', 'E53', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(541, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(542, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(543, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计\r\n    if (ableValue <electricCapacity*0.1 && realValue <electricCapacity*0.1 && forecastAbleValue <electricCapacity*0.1 ) {\r\n      m.code = "666";\r\n      m.msg = "实际功率、可用功率、预测功率均小于装机容量*10%时，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E53', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(544, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,realValue,forecastAbleValue,openCapacity)', 'E21', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(551, 'DAY_MID_ACCURACY', 1, '    let sum = 0;\r\n    let count = 0;\r\n    for x in list{\r\n        let insideResult = rootMeanSquaredErrorC(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E33', 'E1;E2', 'ALL', NULL, '1', '1', '1', 'E278,E279', '10', NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(552, 'DAY_SHORT_ACCURACY', 1, '    let sum = 0;\r\n    let count = 0;\r\n    for x in list{\r\n        let insideResult = rootMeanSquaredErrorC(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E33', 'E1;E2', 'ALL', NULL, '1', '1', '1', 'E278,E279', '3', NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(553, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,electricCapacity)', 'E33', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(554, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "200";\r\n      ableValue = 0;\r\n      m.msg = "实际功率为负数，转换为0";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E33', 'E1;E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(555, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "200";\r\n      ableValue = 0;\r\n      m.msg = "实际功率为负数，转换为0";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E33', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(556, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "200";\r\n      ableValue = 0;\r\n      m.msg = "实际功率为负数，转换为0";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E33', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(557, 'DAY_SHORT_PASS', 1, 'pass(list,85,realValue,forecastAbleValue,openCapacity)', 'E15', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(558, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*2;', 'E23', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(559, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.01*1;\r\n', 'E23', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(560, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-shortAccuracyRate)*ratedCapacity*0.01*1;\r\n', 'E23', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(561, 'ASSESSMENT_SHORT_PASS_RATE', 1, 'if(shortPassRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortPassRate)*ratedCapacity*0.01*1;', 'E23', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(562, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E23', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(563, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E23', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(564, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortPassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期合格率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E23', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(565, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*2;', 'E22', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(566, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.01*1;\r\n', 'E22', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(567, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-shortAccuracyRate)*ratedCapacity*0.01*1;\r\n', 'E22', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(568, 'ASSESSMENT_SHORT_PASS_RATE', 1, 'if(shortPassRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortPassRate)*ratedCapacity*0.01*1;\r\n', 'E22', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(569, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E22', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(570, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E22', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(571, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortPassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E22', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(572, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*2;', 'E21', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(573, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.01*1;\r\n', 'E21', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(574, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-shortAccuracyRate)*ratedCapacity*0.01*1;\r\n', 'E21', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(575, 'ASSESSMENT_SHORT_PASS_RATE', 1, 'if(shortPassRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortPassRate)*ratedCapacity*0.01*1;\r\n', 'E21', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(576, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E21', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(577, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E21', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(578, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortPassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E21', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(579, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*2;', 'E15', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(580, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.01*1;\r\n', 'E15', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(581, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-shortAccuracyRate)*ratedCapacity*0.01*1;\r\n', 'E15', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(582, 'ASSESSMENT_SHORT_PASS_RATE', 1, 'if(shortPassRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortPassRate)*ratedCapacity*0.01*1;\r\n', 'E15', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(583, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E15', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(584, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E15', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(585, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortPassRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E15', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_PASS_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(586, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-shortReportRate)*ratedCapacity*0.1*6;', 'E61', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(587, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(ultraShortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-ultraShortReportRate)*ratedCapacity*0.1*6;', 'E61', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(588, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.2;\r\n', 'E61', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(589, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.2;\r\n', 'E61', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(590, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-ultraShortAccuracyRate)*ratedCapacity*0.015*0.1;', 'E61', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(591, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E61', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(592, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E61', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(593, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (deviationPower == nil) {\r\n      m.code = "500";\r\n      m.msg = "偏差积分电量空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E61', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(594, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E61', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(595, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-shortReportRate)*ratedCapacity*0.1*6;', 'E62', 'E1;E2', 'ALL', NULL, '0', '1', '0', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(596, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(ultraShortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-ultraShortReportRate)*ratedCapacity*0.1*6;', 'E62', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(597, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.2;\r\n', 'E62', 'E1', 'ALL', NULL, '0', '1', '0', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(598, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.2;\r\n', 'E62', 'E2', 'ALL', NULL, '0', '1', '0', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(599, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-ultraShortAccuracyRate)*ratedCapacity*0.015*0.1;', 'E62', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(600, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E62', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '0', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(601, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E62', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(602, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (deviationPower == nil) {\r\n      m.code = "500";\r\n      m.msg = "偏差积分电量空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E62', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '0', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(603, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E62', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(604, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-shortReportRate)*ratedCapacity*0.1*6;', 'E63', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(605, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(ultraShortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-ultraShortReportRate)*ratedCapacity*0.1*6;', 'E63', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(606, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.2;\r\n', 'E63', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(607, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.2;\r\n', 'E63', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(608, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-ultraShortAccuracyRate)*ratedCapacity*0.015*0.1;', 'E63', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(609, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E63', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(610, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E63', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(611, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (deviationPower == nil) {\r\n      m.code = "500";\r\n      m.msg = "偏差积分电量空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E63', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(612, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E63', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(618, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(619, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(620, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (deviationPower == nil) {\r\n      m.code = "500";\r\n      m.msg = "偏差积分电量空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(621, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(622, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E61', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(623, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E61', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(624, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E61', 'E2', 'ALL', 'DAY_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(625, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E61', 'E2', 'ALL', 'DAY_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(626, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E62', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(627, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E62', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(628, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E62', 'E2', 'ALL', 'DAY_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(629, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E62', 'E2', 'ALL', 'DAY_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(630, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E63', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(631, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E63', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(632, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E63', 'E2', 'ALL', 'DAY_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(633, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E63', 'E2', 'ALL', 'DAY_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(638, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(639, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E64', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(640, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E64', 'E2', 'ALL', 'DAY_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(641, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E64', 'E2', 'ALL', 'DAY_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(642, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.001;', 'E12', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(643, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(ultraShortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-ultraShortReportRate)*ratedCapacity*0.1*0.001;', 'E12', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(644, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*0.4;\r\n', 'E12', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(645, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortAccuracyRate)*ratedCapacity*0.1*0.4;', 'E12', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(646, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E12', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(647, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E12', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(648, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E12', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(649, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E12', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(650, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorC(list,realValue,forecastAbleValue,openCapacity)', 'E21', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(651, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E21', 'E1;E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(652, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*500;', 'E32', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(653, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(ultraShortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-ultraShortReportRate)*ratedCapacity*0.1*0.001;', 'E32', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(654, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*0.4;\r\n', 'E32', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(655, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1*0.4;', 'E32', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(656, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E32', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(657, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E32', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(658, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E32', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(659, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E32', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(660, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.001;', 'E14Old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(661, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(ultraShortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-ultraShortReportRate)*ratedCapacity*0.1*0.001;', 'E14Old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(662, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*0.4;\r\n', 'E14Old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(663, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1*0.4;', 'E14Old', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(664, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14Old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(665, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14Old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(666, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14Old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(667, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14Old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(674, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.25;', 'E36', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(675, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.1*0.25;', 'E36', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(676, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(677, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(678, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*1.5;\r\n', 'E36', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(679, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1*1.5;', 'E36', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(680, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(681, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(682, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E36', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(683, 'USER', 1, 'user:123456', 'E99', 'E1;E2', NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(684, 'POINT_SHORT_DEVIATION_ELECTRICITY', 1, '		manyDayThreeDayDeviationElectricity(list,0.15,\'		## 如果 预测功率为空\r\n		if(forecastAbleValue == 0){\r\n			## 如果 预测功率为0，可用功率也为0，则返回0\r\n			if(realValue ==0){\r\n				return 0;\r\n			## 如果 预测功率为空，可用功率不为0，则返回可用功率\r\n			}else{\r\n				return realValue*0.25;\r\n			}\r\n		}\r\n\r\n		## 如果预测功率=可用功率，返回0\r\n		if(forecastAbleValue==realValue){\r\n			return 0;\r\n		}\r\n\r\n		## 如果预测功率不为0且预测功率与可用功率差不为0，则计算单侧误差带宽\r\n		let pointDeviation = math.abs(forecastAbleValue-realValue)/forecastAbleValue;\r\n		let deviationElectricity = 0M;\r\n		## 如果超过阈值\r\n		if(pointDeviation>deviationThreshold){\r\n			##如果预测大于实际\r\n			if (forecastAbleValue > realValue) {\r\n				deviationElectricity = (forecastAbleValue * (1 - deviationThreshold) - realValue) * 0.25;\r\n			##如果预测小于实际\r\n			} else {\r\n				deviationElectricity = (realValue - (forecastAbleValue * (1 + deviationThreshold))) * 0.25;\r\n			}\r\n		}else{\r\n			deviationElectricity = 0;\r\n		}\r\n		return deviationElectricity;\')', 'E21', 'E1', 'ALL', NULL, '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(685, 'TEN_DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E37', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(686, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,electricCapacity)', 'E34', 'E1;E2', 'J00614', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(687, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,electricCapacity)', 'E34', 'E1;E2', 'J00614', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(688, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E34', 'E1;E2', 'J00614', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(689, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E34', 'E1;E2', 'J00614', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(690, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    ## 截取时分秒\r\n    let timeSub = string.substring(timeStr,11,19);\r\n    ## 截取月份\r\n    let month = string.substring(timeStr,5,7);\r\n    ## 根据月份匹配开始时间和结束时间\r\n    let startTime = \'\';\r\n    let endTime = \'\';\r\n    if(month==\'01\'){\r\n      startTime = "07:15:00";\r\n      endTime = "17:30:00";\r\n    }\r\n    if(month==\'02\'){\r\n      startTime = "07:00:00";\r\n      endTime = "18:00:00";\r\n    }\r\n    if(month==\'03\'){\r\n      startTime = "06:30:00";\r\n      endTime = "18:15:00";\r\n    }\r\n    if(month==\'04\'){\r\n      startTime = "06:00:00";\r\n      endTime = "18:30:00";\r\n    }\r\n    if(month==\'05\'){\r\n      startTime = "05:30:00";\r\n      endTime = "19:00:00";\r\n    }\r\n    if(month==\'06\'){\r\n      startTime = "05:30:00";\r\n      endTime = "19:15:00";\r\n    }\r\n    if(month==\'07\'){\r\n      startTime = "05:30:00";\r\n      endTime = "19:15:00";\r\n    }\r\n    if(month==\'08\'){\r\n      startTime = "05:45:00";\r\n      endTime = "18:45:00";\r\n    }\r\n    if(month==\'09\'){\r\n      startTime = "06:15:00";\r\n      endTime = "18:15:00";\r\n    }\r\n    if(month==\'10\'){\r\n      startTime = "06:30:00";\r\n      endTime = "17:45:00";\r\n    }\r\n    if(month==\'11\'){\r\n      startTime = "06:45:00";\r\n      endTime = "17:15:00";\r\n    }\r\n    if(month==\'12\'){\r\n      startTime = "07:15:00";\r\n      endTime = "17:15:00";\r\n    }\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "时间不在考核范围内，忽略不计";\r\n      return m;\r\n    }\r\n    ## 根据开始时间和结束时间筛选数据\r\n    if (timeSub < startTime || timeSub>endTime) {\r\n      m.code = "666";\r\n      m.msg = "时间不在考核范围内，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(691, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    ## 截取时分秒\r\n    let timeSub = string.substring(timeStr,11,19);\r\n    ## 截取月份\r\n    let month = string.substring(timeStr,5,7);\r\n    ## 根据月份匹配开始时间和结束时间\r\n    let startTime = \'\';\r\n    let endTime = \'\';\r\n    if(month==\'01\'){\r\n      startTime = "07:15:00";\r\n      endTime = "17:30:00";\r\n    }\r\n    if(month==\'02\'){\r\n      startTime = "07:00:00";\r\n      endTime = "18:00:00";\r\n    }\r\n    if(month==\'03\'){\r\n      startTime = "06:30:00";\r\n      endTime = "18:15:00";\r\n    }\r\n    if(month==\'04\'){\r\n      startTime = "06:00:00";\r\n      endTime = "18:30:00";\r\n    }\r\n    if(month==\'05\'){\r\n      startTime = "05:30:00";\r\n      endTime = "19:00:00";\r\n    }\r\n    if(month==\'06\'){\r\n      startTime = "05:30:00";\r\n      endTime = "19:15:00";\r\n    }\r\n    if(month==\'07\'){\r\n      startTime = "05:30:00";\r\n      endTime = "19:15:00";\r\n    }\r\n    if(month==\'08\'){\r\n      startTime = "05:45:00";\r\n      endTime = "18:45:00";\r\n    }\r\n    if(month==\'09\'){\r\n      startTime = "06:15:00";\r\n      endTime = "18:15:00";\r\n    }\r\n    if(month==\'10\'){\r\n      startTime = "06:30:00";\r\n      endTime = "17:45:00";\r\n    }\r\n    if(month==\'11\'){\r\n      startTime = "06:45:00";\r\n      endTime = "17:15:00";\r\n    }\r\n    if(month==\'12\'){\r\n      startTime = "07:15:00";\r\n      endTime = "17:15:00";\r\n    }\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "时间不在考核范围内，忽略不计";\r\n      return m;\r\n    }\r\n    ## 根据开始时间和结束时间筛选数据\r\n    if (timeSub < startTime || timeSub>endTime) {\r\n      m.code = "666";\r\n      m.msg = "时间不在考核范围内，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(692, 'DAY_SHORT_DEVIATION_ELECTRICITY', 1, '	## 加权平均偏差归一化(光)\r\n	## 日加权平均偏差 Q = [午间权重系数*(午间采样点偏差绝对值求和/午间采样点数)]+[晚峰加权系数*(晚峰采样点偏差绝对值/晚峰采样点数)]+[其它时段加权系数*(其它时段采样点偏差绝对值/其它时段采样点数)]\r\n	## 日加权平均归一化 F = (日加权平均偏差-日加权平均偏差最小值)/(日加权平均偏差最大值-日加权平均偏差最小值)\r\n\r\n	## 午间权重系数\r\n	let noonWeight = 0.6;\r\n	## 晚间权重系数\r\n	let nightWeight = 0.2;\r\n	## 其他时间权重系数\r\n	let otherTimeWeight = 0.2;\r\n\r\n	## 午间采样点数\r\n	let noonPoint = 0;\r\n	## 晚间采样点数\r\n	let nightPoint = 0;\r\n	## 其他时间采样点数\r\n	let otherTimePoint = 0;\r\n\r\n	## 午间偏差总和\r\n	let noonSum = 0;\r\n	## 晚间偏差总和\r\n	let nightSum = 0;\r\n	## 其他时间偏差总和\r\n	let otherTimeSum = 0;\r\n\r\n	## 午间偏差\r\n	let noonDeviation = 0;\r\n	## 晚间偏差总和\r\n	let nightDeviation = 0;\r\n	## 其他时间偏差总和\r\n	let otherTimeDeviation = 0;\r\n\r\n	## 最小偏差\r\n	let minDeviation = 9999;\r\n	## 最大偏差\r\n	let maxDeviation = 0;\r\n	## 时间\r\n	let subTime = \'\';\r\n\r\n	## 平均加权偏差\r\n	weightedAverage = 0;\r\n	## 平均加权偏差归一化\r\n	weightedAverageNormalization = 0;\r\n	## 循环数据\r\n	for x in list{\r\n		## 单点偏差\r\n		## 获取时分秒\r\n		subTime = string.substring(x.timeStr,11,19);\r\n		## 午间\r\n		if(subTime>= \'10:00:00\' && subTime<= \'16:00:00\'){\r\n			if(x.ableValue != 0 && (x.ableValue-x.forecastAbleValue)!=0){\r\n				## 计算午间单点偏差\r\n				noonDeviation = math.abs((x.ableValue-x.forecastAbleValue)/x.ableValue);\r\n			}else{\r\n				noonDeviation = 0;\r\n			}\r\n			\r\n			## 判断是否为最大值或最小值\r\n			if(noonDeviation>maxDeviation){\r\n				maxDeviation = noonDeviation;\r\n			}\r\n			if(noonDeviation<minDeviation){\r\n				minDeviation = noonDeviation;\r\n			}\r\n			## 午间偏差求和\r\n			noonSum = noonSum + noonDeviation;\r\n			## 午间点位求和\r\n			noonPoint = noonPoint + 1;\r\n		}else {\r\n			## 晚峰\r\n			if(subTime>= \'17:00:00\' && subTime<= \'22:00:00\'){\r\n				if( x.ableValue != 0 && (x.ableValue-x.forecastAbleValue)!=0 ){\r\n					## 计算晚峰单点偏差\r\n					nightDeviation = math.abs((x.ableValue-x.forecastAbleValue)/x.ableValue);\r\n				}else{\r\n					nightDeviation = 0;\r\n				}\r\n				\r\n				## 判断是否为最大值或最小值\r\n				if(nightDeviation>maxDeviation){\r\n					maxDeviation = nightDeviation;\r\n				}\r\n				if(nightDeviation<minDeviation){\r\n					minDeviation = nightDeviation;\r\n				}\r\n				## 晚峰偏差求和\r\n				nightSum = nightSum + nightDeviation;\r\n				## 晚峰点位求和\r\n				nightPoint = nightPoint+1;\r\n			## 其他时间\r\n			}else{\r\n				if( x.ableValue != 0 && (x.ableValue-x.forecastAbleValue)!=0){\r\n					## 计算其他时间单点偏差\r\n					otherTimeDeviation = math.abs((x.ableValue-x.forecastAbleValue)/x.ableValue);\r\n				}else{\r\n					otherTimeDeviation = 0; \r\n				}\r\n\r\n				## 判断是否为最大值或最小值\r\n				if(otherTimeDeviation>maxDeviation){\r\n					maxDeviation = otherTimeDeviation;\r\n				}\r\n				if(otherTimeDeviation<minDeviation){\r\n					minDeviation = otherTimeDeviation;\r\n				}\r\n				## 其他时间偏差求和\r\n				otherTimeSum = otherTimeSum + otherTimeDeviation;\r\n				## 其他时间点位求和\r\n				otherTimePoint = otherTimePoint+1;\r\n			}\r\n		}\r\n	}\r\n\r\n	## 午间结果\r\n	let noonResult = 0;\r\n	if(noonWeight*noonSum!=0 && noonPoint!=0){\r\n		noonResult = noonWeight*noonSum/noonPoint;\r\n	}\r\n	## 晚峰结果\r\n	let nightResult = 0;\r\n	if(nightWeight*nightSum!=0 && nightPoint!=0){\r\n		nightResult = nightWeight*nightSum/nightPoint;\r\n	}\r\n	## 其他时间\r\n	let otherTimeResult = 0;\r\n	if(otherTimeWeight*otherTimeSum!=0 && otherTimePoint!=0){\r\n		otherTimeResult = otherTimeWeight*otherTimeSum/otherTimePoint;\r\n	}\r\n\r\n	## 日平均加权偏差\r\n	weightedAverage = noonResult + nightResult + otherTimeResult;\r\n\r\n	## 分母不能为0判断\r\n	if((maxDeviation-minDeviation)==0){\r\n		return 0;\r\n	}\r\n	## 日加权平均归一化\r\n	weightedAverageNormalization = (weightedAverage-minDeviation) /	(maxDeviation-minDeviation)*100;\r\n\r\n	return weightedAverageNormalization;', 'E999', 'E1', 'ALL', NULL, '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(693, 'DAY_SHORT_DEVIATION_ELECTRICITY', 1, '	## 加权平均偏差归一化(风)\r\n	## 日加权平均偏差 Q = [午间权重系数*(午间采样点偏差绝对值求和/午间采样点数)]+[晚峰加权系数*(晚峰采样点偏差绝对值/晚峰采样点数)]+[其它时段加权系数*(其它时段采样点偏差绝对值/其它时段采样点数)]\r\n	## 日加权平均归一化 F = (日加权平均偏差-日加权平均偏差最小值)/(日加权平均偏差最大值-日加权平均偏差最小值)\r\n\r\n	## 午间权重系数\r\n	let noonWeight = 0.2;\r\n	## 晚间权重系数\r\n	let nightWeight = 0.6;\r\n	## 其他时间权重系数\r\n	let otherTimeWeight = 0.2;\r\n\r\n	## 午间采样点数\r\n	let noonPoint = 0;\r\n	## 晚间采样点数\r\n	let nightPoint = 0;\r\n	## 其他时间采样点数\r\n	let otherTimePoint = 0;\r\n\r\n	## 午间偏差总和\r\n	let noonSum = 0;\r\n	## 晚间偏差总和\r\n	let nightSum = 0;\r\n	## 其他时间偏差总和\r\n	let otherTimeSum = 0;\r\n\r\n	## 午间偏差\r\n	let noonDeviation = 0;\r\n	## 晚间偏差总和\r\n	let nightDeviation = 0;\r\n	## 其他时间偏差总和\r\n	let otherTimeDeviation = 0;\r\n\r\n	## 最小偏差\r\n	let minDeviation = 9999;\r\n	## 最大偏差\r\n	let maxDeviation = 0;\r\n	## 时间\r\n	let subTime = \'\';\r\n\r\n	## 平均加权偏差\r\n	weightedAverage = 0;\r\n	## 平均加权偏差归一化\r\n	weightedAverageNormalization = 0;\r\n	## 循环数据\r\n	for x in list{\r\n		## 单点偏差\r\n		## 获取时分秒\r\n		subTime = string.substring(x.timeStr,11,19);\r\n		## 午间\r\n		if(subTime>= \'10:00:00\' && subTime<= \'16:00:00\'){\r\n			if(x.ableValue != 0 && (x.ableValue-x.forecastAbleValue)!=0){\r\n				## 计算午间单点偏差\r\n				noonDeviation = math.abs((x.ableValue-x.forecastAbleValue)/x.ableValue);\r\n			}else{\r\n				noonDeviation = 0;\r\n			}\r\n			\r\n			## 判断是否为最大值或最小值\r\n			if(noonDeviation>maxDeviation){\r\n				maxDeviation = noonDeviation;\r\n			}\r\n			if(noonDeviation<minDeviation){\r\n				minDeviation = noonDeviation;\r\n			}\r\n			## 午间偏差求和\r\n			noonSum = noonSum + noonDeviation;\r\n			## 午间点位求和\r\n			noonPoint = noonPoint + 1;\r\n		}else {\r\n			## 晚峰\r\n			if(subTime>= \'17:00:00\' && subTime<= \'22:00:00\'){\r\n				if( x.ableValue != 0 && (x.ableValue-x.forecastAbleValue)!=0 ){\r\n					## 计算晚峰单点偏差\r\n					nightDeviation = math.abs((x.ableValue-x.forecastAbleValue)/x.ableValue);\r\n				}else{\r\n					nightDeviation = 0;\r\n				}\r\n				\r\n				## 判断是否为最大值或最小值\r\n				if(nightDeviation>maxDeviation){\r\n					maxDeviation = nightDeviation;\r\n				}\r\n				if(nightDeviation<minDeviation){\r\n					minDeviation = nightDeviation;\r\n				}\r\n				## 晚峰偏差求和\r\n				nightSum = nightSum + nightDeviation;\r\n				## 晚峰点位求和\r\n				nightPoint = nightPoint+1;\r\n			## 其他时间\r\n			}else{\r\n				if( x.ableValue != 0 && (x.ableValue-x.forecastAbleValue)!=0){\r\n					## 计算其他时间单点偏差\r\n					otherTimeDeviation = math.abs((x.ableValue-x.forecastAbleValue)/x.ableValue);\r\n				}else{\r\n					otherTimeDeviation = 0; \r\n				}\r\n\r\n				## 判断是否为最大值或最小值\r\n				if(otherTimeDeviation>maxDeviation){\r\n					maxDeviation = otherTimeDeviation;\r\n				}\r\n				if(otherTimeDeviation<minDeviation){\r\n					minDeviation = otherTimeDeviation;\r\n				}\r\n				## 其他时间偏差求和\r\n				otherTimeSum = otherTimeSum + otherTimeDeviation;\r\n				## 其他时间点位求和\r\n				otherTimePoint = otherTimePoint+1;\r\n			}\r\n		}\r\n	}\r\n\r\n	## 午间结果\r\n	let noonResult = 0;\r\n	if(noonWeight*noonSum!=0 && noonPoint!=0){\r\n		noonResult = noonWeight*noonSum/noonPoint;\r\n	}\r\n	## 晚峰结果\r\n	let nightResult = 0;\r\n	if(nightWeight*nightSum!=0 && nightPoint!=0){\r\n		nightResult = nightWeight*nightSum/nightPoint;\r\n	}\r\n	## 其他时间\r\n	let otherTimeResult = 0;\r\n	if(otherTimeWeight*otherTimeSum!=0 && otherTimePoint!=0){\r\n		otherTimeResult = otherTimeWeight*otherTimeSum/otherTimePoint;\r\n	}\r\n\r\n	## 日平均加权偏差\r\n	weightedAverage = noonResult + nightResult + otherTimeResult;\r\n\r\n	## 分母不能为0判断\r\n	if((maxDeviation-minDeviation)==0){\r\n		return 0;\r\n	}\r\n	## 日加权平均归一化\r\n	weightedAverageNormalization = (weightedAverage-minDeviation) /	(maxDeviation-minDeviation)*100;\r\n\r\n	return weightedAverageNormalization;', 'E999', 'E2', 'ALL', NULL, '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(694, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(695, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(696, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E36', 'E1;E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(697, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E16', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(698, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E16', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(699, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(ableValue<0){\r\n        m.code="666";\r\n        m.msg="忽略实际功率小于0的数据";\r\n        return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E16', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(700, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(ableValue<0){\r\n        m.code="666";\r\n        m.msg="忽略实际功率小于0的数据";\r\n        return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E16', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(701, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E42', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(702, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E1', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(703, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(704, 'TEN_DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E42', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(705, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E1', 'ALL', 'TEN_DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(706, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (realValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E42', 'E2', 'ALL', 'TEN_DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(707, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E14', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(708, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E14', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(709, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(ableValue<0){\r\n        m.code="666";\r\n        m.msg="忽略实际功率小于0的数据";\r\n        return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E14', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(710, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(ableValue<0){\r\n        m.code="666";\r\n        m.msg="忽略实际功率小于0的数据";\r\n        return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E14', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(711, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nreturn (1-shortReportRate)*ratedCapacity*0.001;', 'E14', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(712, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*0.4;\r\n', 'E14', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(713, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*0.4;\r\n', 'E14', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(714, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(715, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E14', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(716, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(717, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(718, 'DAY_MID_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E1', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(719, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(720, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(721, 'DAY_MID_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(722, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E43', 'E1;E2', 'ALL', 'DAY_MID_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(723, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E43', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(724, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E43', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(725, 'ASSESSMENT_MID_ACCURACY_RATE', 1, 'if(midReportRate>=1){\r\n  return 0;\r\n}\r\n\r\nif(midAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\n\r\nreturn (0.75-midAccuracyRate)*ratedCapacity*0.1*30;', 'E43', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(726, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\n\r\nreturn (0.85-shortAccuracyRate)*ratedCapacity*0.1*30;', 'E43', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(727, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.9){\r\n  return 0;\r\n}\r\n\r\nreturn (0.9-shortAccuracyRate)*ratedCapacity*0.1*30;', 'E43', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(728, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (midAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "中期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E43', 'E1;E2', 'ALL', 'ASSESSMENT_MID_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(729, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E43', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(730, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E43', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(731, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E65', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(732, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E65', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(733, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E65', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(734, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E65', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(735, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E65', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(736, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E65', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(737, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E65', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(738, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E65', 'E1;E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(739, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    if(forecastAbleValue==0){\r\n        if(ableValue<=electricCapacity*0.03){\r\n            m.msg="预测功率为0，实际功率<=容量的3%";\r\n            m.data = "不予考核";\r\n            return m;\r\n        }else{\r\n            m.msg="预测功率为0，实际功率>容量的3%";\r\n            m.data = "0.00%";\r\n            return m;\r\n        }\r\n    }else{\r\n        if(ableValue==0){\r\n                if(forecastAbleValue<=electricCapacity*0.03){\r\n                    m.msg="实际功率为0，预测功率<=容量的3%";\r\n                    m.data = "不予考核";\r\n                    return m;\r\n                }else{\r\n                    m.msg="实际功率为0，预测功率>容量的3%";\r\n                    m.data = "0.00%";\r\n                    return m;\r\n                }\r\n            }\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E65', 'E2', 'ALL', 'POINT_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(740, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E65', 'E2', 'ALL', 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(741, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E65', 'E2', 'ALL', 'POINT_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(742, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E65', 'E2', 'ALL', 'POINT_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(743, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-shortReportRate)*ratedCapacity*0.1*6;', 'E65', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(744, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(ultraShortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-ultraShortReportRate)*ratedCapacity*0.1*6;', 'E65', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(745, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*0.1*0.2;\r\n', 'E65', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(746, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.1*0.2;\r\n', 'E65', 'E1', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(747, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.1*0.2;\r\n', 'E65', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(748, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-ultraShortAccuracyRate)*ratedCapacity*0.1*0.015;', 'E65', 'E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(749, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.98){\r\n  return 0;\r\n}\r\nreturn (0.98-ablePowerAccuracyRate)*ratedCapacity*0.1*0.05;', 'E65', 'E1;E2', 'ALL', NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(750, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(751, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(752, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (deviationPower == nil) {\r\n      m.code = "500";\r\n      m.msg = "偏差电量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(753, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(754, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ablePowerAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "可用功率准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(755, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(756, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "超短期上报率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(757, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (deviationPower == nil) {\r\n      m.code = "500";\r\n      m.msg = "偏差积分电量空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(758, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = "500";\r\n      m.msg = "短期准确率为空";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = "500";\r\n      m.msg = "额定容量为空";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(759, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(760, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E65', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(761, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = "666";\r\n      m.msg = "开机容量为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m ;', 'E65', 'E2', 'ALL', 'DAY_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(762, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = "666";\r\n      m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";\r\n      return m;\r\n    }\r\n    m.code="200";\r\n    m.msg="校验通过";\r\n    return m;', 'E65', 'E2', 'ALL', 'DAY_ULTRA_SHORT_PASS', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(763, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E54', 'E1,E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(764, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E54', 'E1,E2', 'ALL', NULL, '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(765, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E54', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` (`ID`, `TYPE`, `ORDER_NO`, `FORMULA`, `PROVINCE`, `ELECTRIC_TYPE`, `STATION_CODE`, `RULE_FORMULA`, `IS_RATE`, `MAX_MIN_LIMIT`, `STATE`, `DATA_SOURCE_TYPE`, `HOW_MANY_DAYS`, `CREATE_TIME`, `CREATOR`, `LAST_MODIFIER`, `LAST_MODIFY_TIME`) VALUES
	(766, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = "666";\r\n      m.msg = "实际功率为负数，忽略不计";\r\n      return m;\r\n    }\r\n    m.code = "200";\r\n    m.msg = "校验通过";\r\n    return m;', 'E54', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;