DROP TABLE IF EXISTS T_CALCULATION_FORMULA;

CREATE TABLE T_CALCULATION_FORMULA(
 "ID" INTEGER IDENTITY (1,1),
 "TYPE" VARCHAR (50) NOT NULL,
 "ORDER_NO" INTEGER ,
 "FORMULA" TEXT NOT NULL,
 "PROVINCE" VARCHAR (50) NOT NULL,
 "ELECTRIC_TYPE" VARCHAR (50) NOT NULL,
 "STATION_CODE" VARCHAR (50) ,
 "RULE_FORMULA" VARCHAR (50) ,
 "IS_RATE" VARCHAR (50) NOT NULL,
 "STATE" VARCHAR (50) ,
 "CREATE_TIME" TIMESTAMP(0),
 "CREATOR" VARCHAR (50),
 "LAST_MODIFIER" VARCHAR (50),
 "LAST_MODIFY_TIME" TIMESTAMP(0),
  PRIMARY KEY ("ID") USING INDEX TABLESPACE "SYSTEM") WITHOUT OIDS
TABLESPACE "SYSTEM";

INSERT INTO T_CALCULATION_FORMULA VALUES (1, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E12', 'E1;E2', 'ALL', '', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (2, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);      let sum = 0;      let count = 0;      for x in listList{          let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);          sum = sum + insideResult;          count = count + 1;      }      let data = sum/count;      return data;', 'E12', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (3, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E13', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (4, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);  if(count(listList)==0) {return "无可用数据计算";}   let sum = 0;      let count = 0;      for x in listList{          let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);          sum = sum + insideResult;          count = count + 1;      }      let data = sum/count;      return data;', 'E13', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (5, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E14', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (6, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E14', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (7, 'DAY_SHORT_PASS', 1, 'pass(list,80,ableValue,forecastAbleValue,openCapacity)', 'E14', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (8, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,80,ableValue,forecastAbleValue,openCapacity)', 'E14', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (9, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E15', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (10, 'DAY_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E15', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (11, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E17', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (12, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);      let sum = 0;      let count = 0;      for x in listList{          let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);          sum = sum + insideResult;          count = count + 1;      }      let data = sum/count;      return data;', 'E17', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (13, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E21', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (14, 'DAY_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E21', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (15, 'DAY_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E21', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (16, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (17, 'DAY_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (18, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (19, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (20, 'DAY_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (21, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (22, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (23, 'DAY_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (24, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (25, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (26, 'DAY_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (27, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (28, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E32', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (29, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E32', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (30, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E33', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (31, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E33', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (32, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E34', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (33, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E34', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (34, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (35, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (36, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (37, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (38, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E37', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (39, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E37', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (40, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E41', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (41, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E41', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (42, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E42', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (43, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E42', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (44, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E42', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (45, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E42', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (46, 'DAY_SHORT_PASS', 1, 'return "100.00%";', 'E42', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (47, 'DAY_ULTRA_SHORT_PASS', 1, 'return "100.00%";', 'E42', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (48, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (49, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (50, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (51, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (52, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E44', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (53, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E44', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (54, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E45', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (55, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E45', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (56, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (57, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E1', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (58, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (59, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (60, 'DAY_SHORT_ACCURACY', 1, 'let result = rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity);    if(sign=="SMDAFD" || sign=="ZZAFD" ){      result = result*100;      if(result<80){          let random = rand() * (4 - 3) +3;          result = result+random;          return result/100;      }      return result/100;  }  return result;', 'E52', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (61, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'let result = rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity);  if(sign=="SMDAFD" || sign=="ZZAFD" ){      result = result*100;      if(result<85){          let random = rand() * (4 - 3) +3;          result = result+random;          return result/100;      }      return result/100;  }  return result;', 'E52', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (62, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (63, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (64, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (65, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (66, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (67, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (68, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (69, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (70, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (71, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (72, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (73, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (74, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (75, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (76, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (77, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (78, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (79, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (80, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (81, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (82, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (83, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (84, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (85, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (86, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (87, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (88, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (89, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (90, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (91, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (92, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (93, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (94, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E99', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (95, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);      let sum = 0;      let count = 0;      for x in listList{          let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);          sum = sum + insideResult;          count = count + 1;      }      let data = sum/count;      return data;', 'E99', 'E1;E2', 'ALL', NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (96, 'VERSION', 1, '0.0.28', 'E999', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (97, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      if(ableValue<0){          m.code="666";          m.msg="忽略实际功率小于0的数据";          return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E12', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (98, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      if(ableValue<0){          m.code="666";          m.msg="忽略实际功率小于0的数据";          return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E12', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (99, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      if(ableValue<0){          m.code="666";          m.msg="忽略实际功率小于0的数据";          return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E13', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (100, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      if(ableValue<0){          m.code="666";          m.msg="忽略实际功率小于0的数据";          return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E13', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (101, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E14', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (102, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E14', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (103, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E14', 'E1;E2', 'ALL', 'DAY_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (104, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E14', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (105, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽��不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E15', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (106, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E15', 'E1;E2', 'ALL', 'DAY_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (107, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E17', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (108, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数  忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E17', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (109, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通���", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E21', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (110, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E21', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (111, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E22', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (112, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E22', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (113, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E23', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (114, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E23', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (115, 'RULES', 1, '        ## 风电：          ## 短期功率预测：          ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。          ## 超短期功率预测：          ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）                    ## 设定返回map          let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");          ## 如果实际功率为负数，忽略不计          if (ableValue <0) {              m.code = "666";              m.msg = "实际功率为负数，忽略不计";              return m;          }          ## 如果实际功率或预测功率为空，忽略不计          if (ableValue == nil || forecastAbleValue == nil) {              m.code = "666";              m.msg = "实际或预测为空忽略不统计";              return m;          }          ## 如果实际功率小于10则不进行计算          if (ableValue < 10) {              m.code = "666";              m.msg = "实际功率小于10，忽略不统计";              return m;          } else {              m.code = "200";              m.msg = "校验通过";              return m;          }', 'E32', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (116, 'RULES', 1, '        ## 风电：          ## 短期功率预测：          ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。          ## 超短期功率预测：          ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）                    ## 设定返回map          let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");          ## 如果实际功率为负数，忽略不计          if (ableValue <0) {              m.code = "666";              m.msg = "实际功率为负数，忽略不计";              return m;          }          ## 如果实际功率或预测功率为空，忽略不计          if (ableValue == nil || forecastAbleValue == nil) {              m.code = "666";              m.msg = "实际或预测为空忽略不统计";              return m;          }          ## 如果实际功率小于10则不进行计算          if (ableValue < 10) {              m.code = "666";              m.msg = "实际功率小于10，忽略不统��";              return m;          } else {              m.code = "200";              m.msg = "校验通过";              return m;          }', 'E32', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (117, 'RULES', 1, '    ## 光伏：      ## 短期功率预测：      ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），      ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；      ## 超短期功率预测：      ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0%");      ## 如果实际功率为��数，忽略不计      if(ableValue<0){        m.code="666";        m.msg="实际功率为负数，忽略不计";        return m;      }      ## 获取当天0时时间戳      let beginOfDay = getBeginOfDay();      ## 获取当天11点的时间戳      let eleven = beginOfDay + 39600000;      ## 获取当天14点的时间戳      let fourteen = beginOfDay + 50400000;      ## 如果实际功率或预测功率为空，忽略不计      if (ableValue == nil || forecastAbleValue == nil ) {        m.code = "666";        m.msg = "忽略不统计";        return m;      }      ## 如果在11点-14点之间      if(time>=eleven && time<=fourteen){      ## 如果实际功率=0，则赋值为0.01      if(ableValue==0){        ableValue=0.01M;      }      m.code = "200";      m.msg = "校验通过";      return m;      }else{        ## 不在11点-14点之间，实际功率小于10则忽略不计        if(ableValue<10M){          m.code = "666";          m.msg = "忽略不统计";          return m;        }else{          m.code = "200";          m.msg = "校验通过";          return m;        }      }', 'E32', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (118, 'RULES', 1, '    ## 光伏：      ## 短期功率预测：      ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），      ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；      ## 超短期功率预测：      ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## ���果实际功率为负数，忽略不计      if(ableValue<0){        m.code="666";        m.msg="实际功率为负数，忽略不计";        return m;      }      ## ��取当天0时时间戳      let beginOfDay = getBeginOfDay();      ## 获取当天11点的时间戳      let eleven = beginOfDay + 39600000;      ## 获取当天14点的时间戳      let fourteen = beginOfDay + 50400000;      ## 如果实际功率或预测功率为空，忽略不计      if (ableValue == nil || forecastAbleValue == nil ) {        m.code = "666";        m.msg = "忽略不统计";        return m;      }      ## 如果在11点-14点之间      if(time>=eleven && time<=fourteen){      ## 如果实际功率=0，则赋值为0.01      if(ableValue==0){        ableValue=0.01M;      }      m.code = "200";      m.msg = "校验通过";      return m;      }else{        ## 不在11点-14点之间，实际功率小于10则忽略不计        if(ableValue<10M){          m.code = "666";          m.msg = "忽略不统计";          return m;        }else{          m.code = "200";          m.msg = "校验通过";          return m;        }      }', 'E32', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (119, 'RULES', 1, '        ## 风电：          ## 短期功率预测：          ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。          ## 超短期功率预测：          ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）                    ## 设定返回map          let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");          ## 如果实际功率为负数，忽略不计          if (ableValue <0) {              m.code = "666";              m.msg = "实际功率为负数，忽略不计";              return m;          }          ## 如果实际功率或预测功率为空，忽略不���          if (ableValue == nil || forecastAbleValue == nil) {              m.code = "666";              m.msg = "实际或预测为空忽略不统计";              return m;          }          ## 如果实际功率小于10则不进行计算          if (ableValue < 10) {              m.code = "666";              m.msg = "实际功率小于10，忽略不统计";              return m;          } else {              m.code = "200";              m.msg = "校验通过";              return m;          }', 'E33', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (120, 'RULES', 1, '        ## 风电：          ## 短期功率预测：          ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与��核，不统计考核点数（包括PMi为零的时候）。          ## 超短期功率预测：          ## 和日前功率预测（短期功率预测）考核规则���样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）                    ## 设定返回map          let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");          ## 如果实际功率为负数，忽略不计          if (ableValue <0) {              m.code = "666";              m.msg = "实际功率为负数，忽略不计";              return m;          }          ## 如果实际功率或预测功率为空，忽略不计          if (ableValue == nil || forecastAbleValue == nil) {              m.code = "666";              m.msg = "实际或预测为空忽略不统计";              return m;          }          ## 如果实际功率小于10则不进行计算          if (ableValue < 10) {              m.code = "666";              m.msg = "实际功率小于10，忽略不统计";              return m;          } else {              m.code = "200";              m.msg = "校验通过";              return m;          }', 'E33', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (121, 'RULES', 1, '    ## 光伏：      ## 短期功率预测：      ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），      ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；      ## 超短期功率预测：      ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if(ableValue<0){        m.code="666";        m.msg="实际功率���负数，忽略不计";        return m;      }      ## 获取当天0时时间戳      let beginOfDay = getBeginOfDay();      ## 获取当天11点的时间戳      let eleven = beginOfDay + 39600000;      ## 获取当天14点的时间戳      let fourteen = beginOfDay + 50400000;      ## 如果实际功率或预测功率为空，忽略不计      if (ableValue == nil || forecastAbleValue == nil ) {        m.code = "666";        m.msg = "忽略不统计";        return m;      }      ## 如果在11点-14点之间      if(time>=eleven && time<=fourteen){      ## 如果实际功率=0，则赋值为0.01      if(ableValue==0){        ableValue=0.01M;      }      m.code = "200";      m.msg = "校验通过";      return m;      }else{        ## 不在11点-14点之间，实际功率小于10��忽略不计        if(ableValue<10M){          m.code = "666";          m.msg = "忽略不统计";          return m;        }else{          m.code = "200";          m.msg = "校验通过";          return m;        }      }', 'E33', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (122, 'RULES', 1, '    ## 光伏：      ## 短期功率预测：      ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），      ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；      ## 超短期功率预测：      ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if(ableValue<0){        m.code="666";        m.msg="实际功率为负数，忽略不计";        return m;      }      ## 获取当天0时时间戳      let beginOfDay = getBeginOfDay();      ## 获取当天11点的时间戳      let eleven = beginOfDay + 39600000;      ## 获取当天14点的时间戳      let fourteen = beginOfDay + 50400000;      ## 如果实际功率或预测功率为空，忽略不计      if (ableValue == nil || forecastAbleValue == nil ) {        m.code = "666";        m.msg = "忽略不统计";        return m;      }      ## 如果在11点-14点之间      if(time>=eleven && time<=fourteen){      ## 如果实际功率=0，则赋值为0.01      if(ableValue==0){        ableValue=0.01M;      }      m.code = "200";      m.msg = "校验通过";      return m;      }else{        ## 不在11点-14点之间，实际功率小于10则忽略不计        if(ableValue<10M){          m.code = "666";          m.msg = "忽略不统计";          return m;        }else{          m.code = "200";          m.msg = "校验通过";          return m;        }      }', 'E33', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (123, 'RULES', 1, '        ## 风电：          ## 短期功率预测：          ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。          ## 超短期功率预测：          ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）                    ## 设定返回map          let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");          ## 如果实际功率为负��，忽略不计          if (ableValue <0) {              m.code = "666";              m.msg = "实际功率为负数，忽略不计";              return m;          }          ## 如果实际功率或预测功率为空，忽略不计          if (ableValue == nil || forecastAbleValue == nil) {              m.code = "666";              m.msg = "实际或预测为空忽略不统计";              return m;          }          ## 如果实际功率小于10则不进行计算          if (ableValue < 10) {              m.code = "666";              m.msg = "实际功率小于10，忽略不统计";              return m;          } else {              m.code = "200";              m.msg = "校验通过";              return m;          }', 'E34', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (124, 'RULES', 1, '        ## 风电：          ## 短期功率预测：          ## 情况一：发��功率要大于等于10MW时参与  核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。          ## 超短期功率预测：          ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）                    ## 设定返回map          let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");          ## 如果实际功率为负数，忽略不计          if (ableValue <0) {              m.code = "666";              m.msg = "实际功率为负数，忽略不计";              return m;          }          ## 如果实际功率或预测功率为空，忽略不计          if (ableValue == nil || forecastAbleValue == nil) {              m.code = "666";              m.msg = "实际或预测为空忽略不统计";              return m;          }          ## 如果实际功率小于10则不进行计算          if (ableValue < 10) {              m.code = "666";              m.msg = "实际功率小于10，忽略不统计";              return m;          } else {              m.code = "200";              m.msg = "校验通过";              return m;          }', 'E34', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (125, 'RULES', 1, '    ## 光伏：      ## 短期功率预测：      ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），      ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；      ## 超短期功率预测        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为��数，忽略不计      if(ableValue<0){        m.code="666";        m.msg="实际功率为负数，忽略不计";        return m;      }      ## 获取当天0时时间戳      let beginOfDay = getBeginOfDay();      ## 获取当天11点的时间戳      let eleven = beginOfDay + 39600000;      ## 获取当天14点的时间戳      let fourteen = beginOfDay + 50400000;      ## 如果实际功率或预测功率为空，忽略不计      if (ableValue == nil || forecastAbleValue == nil ) {        m.code = "666";        m.msg = "忽略不统计";        return m;      }      ## 如果在11点-14点之间      if(time>=eleven && time<=fourteen){      ## 如果实际功率=0，则   值为0.01      if(ableValue==0){        ableValue=0.01M;      }      m.code = "200";      m.msg = "校验通过";      return m;      }else{        ## 不在11点-14点之间，实际功率小于10则忽略不计        if(ableValue<10M){          m.code = "666";          m.msg = "忽略不统计";          return m;        }else{          m.code = "200";          m.msg = "校验通过";          return m;        }      }', 'E34', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (126, 'RULES', 1, '    ## 光伏：      ## 短期功率预测：      ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），      ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；      ##   短期功率预测：      ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if(ableValue<0){        m.code="666";        m.msg="实际功率为负数，忽略不计";        return m;      }      ## 获取当天0时时间戳      let beginOfDay = getBeginOfDay();      ## 获取当天11点的时间戳      let eleven = beginOfDay + 39600000;      ## 获取当天14点的时间戳      let fourteen = beginOfDay + 50400000;      ## 如果实际功率或预测功率为空，忽略不计      if (ableValue == nil || forecastAbleValue == nil ) {        m.code = "666";        m.msg = "忽略不统计";        return m;      }      ## 如果在11点-14点之间      if(time>=eleven && time<=fourteen){      ## 如果实际功率=0，则赋值为0.01      if(ableValue==0){        ableValue=0.01M;      }      m.code = "200";      m.msg = "校验通过";      return m;      }else{        ## 不在11点-14点之间，实际功率小于10则忽略不计        if(ableValue<10M){          m.code = "666";          m.msg = "忽略不统计";          return m;        }else{          m.code = "200";          m.msg = "校验通过";          return m;        }      }', 'E34', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (127, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E36', 'E1', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (128, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E36', 'E1', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (129, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E36', 'E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (130, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E36', 'E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (131, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (132, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (133, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      ## 如果开机容量为负数，忽略不计      if (openCapacity <0) {        m.code = "666";        m.msg = "开机容量为负数��忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E41', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (134, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      ## 如果开机容量为负数，忽略不计      if (openCapacity <0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E41', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (135, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (realValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (136, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (realValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (137, 'RULES', 1, '    ## ��定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (realValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (138, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (realValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (139, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E43', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (140, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E43', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (141, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (142, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (143, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (144, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (145, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E51', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (146, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E51', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (147, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E52', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (148, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E52', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (149, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");    if(forecastAbleValue==0){        if(ableValue<=electricCapacity*0.03){          m.msg="预测功率为0，实际功率<=容量的3%";          m.data = "不予考核";          return m;        }else{          m.msg="预测功率为0，实际功率>容量的3%";          m.data = "0.00%";          return m;        }      }else{        if(ableValue==0){          if(forecastAbleValue<=electricCapacity*0.03){            m.msg="实际功率为0，预测功率<=容量的3%";            m.data = "不予考核";            return m;          }        }else{          m.code="200";          m.msg="校验通过";          return m;        }      }      m.code="200";      m.msg="校验通过";      return m;', 'E61', 'E1;E2', 'ALL', 'POINT_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (150, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "   验不通过", "data", "0.00%");    if(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){        m.code = "666";        m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";        return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E61', 'E1;E2', 'ALL', 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (151, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E61', 'E1;E2', 'ALL', 'POINT_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (152, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");    if(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){        m.code = "666";        m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";        return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E61', 'E1;E2', 'ALL', 'POINT_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (153, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      if(forecastAbleValue==0){          if(ableValue<=electricCapacity*0.03){              m.msg="预测功率为0，实际功率<=容量的3%";              m.data = "不予考核";              return m;          }else{              m.msg="预测功率为0，实际功率>容量的3%";              m.data = "0.00%";              return m;          }      }else{          if(ableValue==0){                  if(forecastAbleValue<=electricCapacity*0.03){                      m.msg="实际功率为0，预测功率<=容量的3%";                      m.data = "不予考核";                      return m;                  }else{                      m.msg="实际功率为0，预测功率>容量的3%";                      m.data = "0.00%";                      return m;                  }              }      }      m.code="200";      m.msg="校验通过";      return m;', 'E62', 'E1;E2', 'ALL', 'POINT_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (154, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");    if(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){        m.code = "666";        m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";        return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E62', 'E1;E2', 'ALL', 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (155, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E62', 'E1;E2', 'ALL', 'POINT_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (156, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");    if(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){        m.code = "666";        m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";        return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E62', 'E1;E2', 'ALL', 'POINT_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (157, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      if(forecastAbleValue==0){          if(ableValue<=electricCapacity*0.03){              m.msg="预测功率为0，实际功率<=容量的3%";              m.data = "不予考核";              return m;          }else{              m.msg="预测功率为0，实际功率>容量的3%";              m.data = "0.00%";              return m;          }      }else{          if(ableValue==0){                  if(forecastAbleValue<=electricCapacity*0.03){                      m.msg="���际功率为0，预测功率<=容量的3%";                      m.data = "不予考核";                      return m;                  }else{                      m.msg="实际功率为0，预测功率>容量的3%";                      m.data = "0.00%";                      return m;                  }              }      }      m.code="200";      m.msg="校验通过";      return m;', 'E63', 'E2', 'ALL', 'POINT_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (158, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");    if(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){        m.code = "666";        m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";        return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E63', 'E2', 'ALL', 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (159, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "开机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E63', 'E2', 'ALL', 'POINT_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (160, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");    if(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){        m.code = "666";        m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";        return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E63', 'E2', 'ALL', 'POINT_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (161, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      if(forecastAbleValue==0){          if(ableValue<=electricCapacity*0.03){              m.msg="预测功率为0，实际功率<=容量的3%";              m.data = "不予考核";              return m;          }else{              m.msg="预测功率为0，实际功率>容量的3%";              m.data = "0.00%";              return m;          }      }else{          if(ableValue==0){                  if(forecastAbleValue<=electricCapacity*0.03){                      m.msg="实际功率为0，预测功率<=容量的3%";                      m.data = "不予考核";                      return m;                  }else{                      m.msg="实际功率为0，预测功率>容量的3%";                      m.data = "0.00%";                      return m;                  }              }      }      m.code="200";      m.msg="校验通过";      return m;', 'E64', 'E2', 'ALL', 'POINT_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (162, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");    if(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){        m.code = "666";        m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";        return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E64', 'E2', 'ALL', 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (163, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果开机容量为负数，忽略不计      if (openCapacity <=0) {        m.code = "666";        m.msg = "���机容量为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m ;', 'E64', 'E2', 'ALL', 'POINT_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (164, 'RULES', 1, 'let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");    if(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){        m.code = "666";        m.msg = "实际和预测值均在装机容量3%以内时，忽略不计";        return m;      }      m.code="200";      m.msg="校验通过";      return m;', 'E64', 'E2', 'ALL', 'POINT_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (165, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E99', 'E1;E2', 'ALL', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (166, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (ableValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E99', 'E1;E2', 'ALL', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (167, 'DEVIANCE_ELECTRIC', 1, 'devianceElectric(list,forecastAbleValue,ableValue,0.2)', 'E999', 'E1;E2', 'ALL', '', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (168, 'POINT_ULTRA_SHORT_AVERAGE_FORECAST', 1, '        let sum = 0;          for x in list {              sum = sum + x.forecastAbleValue;          }          return sum/16;', 'E999', 'E1;E2', 'ALL', '', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (169, 'POINT_ULTRA_SHORT_FORECAST_ERRORS', 1, '        let result = 0;          for x in list {              result = (x.forecastAbleValue- x.ableValue)/x.forecastAbleValue;              break;          }          return math.abs(result);', 'E999', 'E1;E2', 'ALL', '', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (170, 'POINT_SHORT_ACCURACY', 1, 'let result = 0;          for x in list {              result = 1-(math.abs(x.realValue-x.forecastAbleValue )/electricCapacity);              break;          }          return result ;', 'E32', 'E1;E2', 'ALL', '', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (214, 'POINT_ULTRA_SHORT_ACCURACY', 1, '        let result = 0;  	let count = count(list);  	let max = list[count-1];  	result = 1-(math.abs(max.realValue-max.forecastAbleValue )/electricCapacity);          return result ;', 'E32', 'E1;E2', 'ALL', '', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (215, 'ASSESSMENT_SHORT_REPORT_RATE', 1, '(1-shortReportRate)*960*0.0005*powerGeneration*1', 'E34', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (216, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, '(1-ultraShortReportRate)*384*0.000005*powerGeneration*1', 'E34', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (217, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){    return 0;  }  return (0.8-shortAccuracyRate)*ratedCapacity*0.1*0.2;      ', 'E34', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (218, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.85){    return 0;  }  return (0.85-ultraShortAccuracyRate)*ratedCapacity*0.1*0.1;  ', 'E34', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (219, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (powerGeneration == nil) {        m.code = "500";        m.msg = "发电量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E34', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (220, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (powerGeneration == nil) {        m.code = "500";        m.msg = "发电量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E34', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (221, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E34', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (222, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E34', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (223, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate==1){    return 0;  }    ratedCapacity*0.25*powerGeneration*1', 'E42', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (224, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate==1){    return 0;  }    ratedCapacity*0.25*powerGeneration*1', 'E42', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (225, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.87){    return 0;  }  return (0.87-shortAccuracyRate)*ratedCapacity*1.5;      ', 'E42', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (226, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){    return 0;  }  return (0.9-ultraShortReportRate)*ratedCapacity*1.5;      ', 'E42', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (227, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.83){    return 0;  }  return (0.83-shortAccuracyRate)*ratedCapacity*1;      ', 'E42', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (228, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.87){    return 0;  }  return (0.87-ultraShortReportRate)*ratedCapacity*1;', 'E42', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (229, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (230, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (231, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (232, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (233, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.99){    return 0;  }  return (0.99-singleMachinePassRate)*ratedCapacity*0.001;', 'E42', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (234, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=0.95){    return 0;  }    return (0.95-shortReportRate)*ratedCapacity*0.1*6;', 'E64', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (235, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=0.95){    return 0;  }    return (0.95-shortReportRate)*ratedCapacity*0.1*6;', 'E64', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (236, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){    return 0;  }  return (0.8-shortAccuracyRate)*0.1*0.2;  ', 'E64', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (237, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){    return 0;  }  return deviationPower*0.1*0.2;  ', 'E64', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (238, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){    return 0;  }  return deviationPower*0.1*0.2;  ', 'E64', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (239, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.75){    return 0;  }  return (0.75-ultraShortReportRate)*ratedCapacity*0.1*0.015;', 'E64', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (240, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.98){    return 0;  }  return (0.98-ablePowerAccuracyRate)*ratedCapacity*0.1*0.05;', 'E64', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (241, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (singleMachinePassRate == nil) {        m.code = "500";        m.msg = "单机合格率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'ALL', 'SINGLE_MACHINE_PASS_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (242, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (243, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (244, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (deviationPower == nil) {        m.code = "500";        m.msg = "偏差电量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (245, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E64', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (246, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ablePowerAccuracyRate == nil) {        m.code = "500";        m.msg = "可用功率准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E64', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (247, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.002;', 'E41', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (248, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.001;', 'E41', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (249, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){    return 0;  }  return (0.85-shortAccuracyRate)*ratedCapacity*0.1;  ', 'E41', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (250, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){    return 0;  }  return (0.9-ultraShortReportRate)*ratedCapacity*0.1;', 'E41', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (251, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.83){    return 0;  }  return (0.83-shortAccuracyRate)*ratedCapacity*0.1;  ', 'E41', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (252, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.87){    return 0;  }  return (0.87-ultraShortReportRate)*ratedCapacity*0.1;', 'E41', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (254, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E41', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (255, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E41', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (256, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E41', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (257, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E41', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (258, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.002;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (259, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.001;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (260, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){    return 0;  }  return (0.85-shortAccuracyRate)*ratedCapacity*0.1;  ', 'E37', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (261, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){    return 0;  }  return (0.9-ultraShortReportRate)*ratedCapacity*0.1;', 'E37', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (262, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.83){    return 0;  }  return (0.83-shortAccuracyRate)*ratedCapacity*0.1;  ', 'E37', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (263, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.87){    return 0;  }  return (0.87-ultraShortReportRate)*ratedCapacity*0.1;', 'E37', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (264, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (265, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (266, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (267, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (268, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.985){    return 0;  }  return (0.985-singleMachinePassRate)*ratedCapacity*0.001*0.1;', 'E37', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (269, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.985){    return 0;  }  return (0.985-ablePowerAccuracyRate)*ratedCapacity*0.001*0.1;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (270, 'THEORY_POWER_ACCURACY_RATE', 1, 'if(theoryPowerAccuracyRate>=0.985){    return 0;  }  return (0.985-theoryPowerAccuracyRate)*ratedCapacity*0.001*0.1;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (271, 'ANEMOMETER_TOWER_ACCURACY_RATE', 1, 'if(anemometerTower>=0.985){    return 0;  }  return (0.985-anemometerTowerAccuracyRate)*ratedCapacity*0.001*0.1;', 'E37', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (272, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (singleMachinePassRate == nil) {        m.code = "500";        m.msg = "单机合格率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'SINGLE_MACHINE_PASS_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (273, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ablePowerAccuracyRate == nil) {        m.code = "500";        m.msg = "可用功率准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'ABLE_POWER_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (274, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (theoryPowerAccuracyRate == nil) {        m.code = "500";        m.msg = "理论功率准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'THEORY_POWER_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (275, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (anemometerTowerAccuracyRate == nil) {        m.code = "500";        m.msg = "测风塔可用率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E37', 'E1;E2', 'ALL', 'ANEMOMETER_TOWER_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (276, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.001;', 'E13', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (277, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){    return 0;  }  return (0.85-shortAccuracyRate)*ratedCapacity*0.1*0.4;  ', 'E13', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (278, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){    return 0;  }  return (0.85-shortAccuracyRate)*ratedCapacity*0.1*0.4;  ', 'E13', 'E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (279, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校���通过";      return m;', 'E13', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (280, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E13', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (281, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.001;', 'E17', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (282, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.001;', 'E17', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (283, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.85){    return 0;  }  return (0.85-shortAccuracyRate)*ratedCapacity*0.1;  ', 'E17', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (284, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){    return 0;  }  return (0.9-ultraShortReportRate)*ratedCapacity*0.1;', 'E17', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (285, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E17', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (286, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E17', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (287, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E17', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (288, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E17', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (289, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E45old', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (290, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E45old', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (291, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){    return 0;  }  return (0.8-shortAccuracyRate)*ratedCapacity*0.1*1;  ', 'E45old', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (292, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){    return 0;  }  return (0.85-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E45old', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (293, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (294, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (295, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (296, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (297, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E45new', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (298, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E45new', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (299, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.6){    return 0;  }  return (0.6-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;  ', 'E45new', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (300, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.65){    return 0;  }  return (0.65-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E45new', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (301, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45new', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (302, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45new', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (303, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45new', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (304, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E45new', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (305, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E44old', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (306, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.1*0.2;', 'E44old', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (307, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){    return 0;  }  return (0.8-shortAccuracyRate)*ratedCapacity*0.1*1;  ', 'E44old', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (308, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.85){    return 0;  }  return (0.85-ultraShortReportRate)*ratedCapacity*0.1*1;', 'E44old', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (309, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (310, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (311, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (312, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44old', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (313, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E44new', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (314, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=1){    return 0;  }    return (1-shortReportRate)*ratedCapacity*0.1*0.5;', 'E44new', 'E1;E2', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (315, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.6){    return 0;  }  return (0.6-shortAccuracyRate)*ratedCapacity*0.1*0.2*1;  ', 'E44new', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (316, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.65){    return 0;  }  return (0.65-ultraShortReportRate)*ratedCapacity*0.1*0.2*1;', 'E44new', 'E1', 'ALL', NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (317, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortReportRate == nil) {        m.code = "500";        m.msg = "短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44new', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (318, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortReportRate == nil) {        m.code = "500";        m.msg = "超短期上报率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44new', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (319, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (shortAccuracyRate == nil) {        m.code = "500";        m.msg = "短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44new', 'E1;E2', 'ALL', 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (320, 'RULES', 1, '	let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");  	if (ultraShortAccuracyRate == nil) {        m.code = "500";        m.msg = "超短期准确率为空";        return m;      }  	if (ratedCapacity == nil) {        m.code = "500";        m.msg = "额定容量为空";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E44new', 'E1;E2', 'ALL', 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (327, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (realValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }        ## 如果实际功率小于额定容量的3%，忽略不计      if (realValue<0.03*electricCapacity) {        m.code = "666";        m.msg = "实际功率小于额定容量的3%，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'J00313', 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO T_CALCULATION_FORMULA VALUES (328, 'RULES', 1, '    ## 设定返回map      let m = seq.map("code", "500", "msg", "校验不通过", "data", "0.00%");      ## 如果实际功率为负数，忽略不计      if (realValue <0) {        m.code = "666";        m.msg = "实际功率为负数，忽略不计";        return m;      }        ## 如果实际功率小于额定容量的3%，忽略不计      if (realValue<0.03*electricCapacity) {        m.code = "666";        m.msg = "实际功率小于额定容量的3%，忽略不计";        return m;      }      m.code = "200";      m.msg = "校验通过";      return m;', 'E42', 'E1;E2', 'J00313', 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
